<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddPhoneReq StructType
 * @subpackage Structs
 */
class AddPhoneReq extends APIRequest
{
    /**
     * The phone
     * @var XPhone
     */
    public $phone;
    /**
     * Constructor method for AddPhoneReq
     * @uses AddPhoneReq::setPhone()
     * @param XPhone $phone
     */
    public function __construct(XPhone $phone = null)
    {
        $this
            ->setPhone($phone);
    }
    /**
     * Get phone value
     * @return XPhone|null
     */
    public function getPhone()
    {
        return $this->phone;
    }
    /**
     * Set phone value
     * @param XPhone $phone
     * @return AddPhoneReq
     */
    public function setPhone(XPhone $phone = null)
    {
        $this->phone = $phone;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddPhoneReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
